Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Typecode.cpp File Reference

`#include "Typecode.h"`
`#include "Any.h"`
`#include "Marshal.h"`
`#include "CORBA_String.h"`
`#include "CDR.h"`
`#include "debug.h"`
`#include "Any_Unknown_IDL_Type.h"`
`#include "ORB_Constants.h"`
`#include "ace/Null_Mutex.h"`
`#include "ace/OS_NS_string.h"`
`#include "tao/Typecode.i"`

Include dependency graph for Typecode.cpp:

## Namespaces
namespace | TAO
## Functions
const char * | get_rcsid_tao_Typecode (const char *)
CORBA::Boolean | operator<< (TAO_OutputCDR &cdr, const CORBA::TypeCode *x)
CORBA::Boolean | operator>> (TAO_InputCDR &cdr, CORBA::TypeCode *&x)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const CORBA::TCKind &_tao_enumval)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, CORBA::TCKind &_tao_enumval)
## Variables
const char * | rcsid_tao_Typecode = get_rcsid_tao_Typecode ( rcsid_tao_Typecode )

## Function Documentation

const char* get_rcsid_tao_Typecode | ( | const char * |  | ) | `[inline, static]`

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const CORBA::TCKind & | _tao_enumval
| ) |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | cdr,
|  | const CORBA::TypeCode * | x
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | CORBA::TCKind & | _tao_enumval
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | cdr,
|  | CORBA::TypeCode *& | x
| ) |

## Variable Documentation

const char* rcsid_tao_Typecode = get_rcsid_tao_Typecode ( rcsid_tao_Typecode )`[static]`